#!/bin/bash
################
#
#create by al  at 2017/06/25
#
#####################

base_dir=`pwd`

wget http://47.90.101.26/linux/bocai/game/config.tar.gz
tar zxf config.tar.gz
###download file
yum install -y gcc gcc-c++
useradd game
useradd server
soft_path=/root/software

if [ ! -d $soft_path ]; then
        mkdir $soft_path

        cd $soft_path

else

        cd $soft_path
fi

if [ ! -f unixODBC-2.3.4.tar.gz ];then
wget http://47.90.101.26/linux/oracle/unixODBC-2.3.6.tar.gz
fi

if [ ! -f oracle-instantclient12.1-basic-12.1.0.2.0-1.x86_64.rpm ];then
wget http://47.90.101.26/linux/oracle/oracle-instantclient12.1-basic-12.1.0.2.0-1.x86_64.rpm
fi

if [ ! -f oracle-instantclient12.1-odbc-12.1.0.2.0-1.x86_64.rpm ];then
wget http://47.90.101.26/linux/oracle/oracle-instantclient12.1-odbc-12.1.0.2.0-1.x86_64.rpm
fi

if [ ! -f oracle-instantclient12.1-sqlplus-12.1.0.2.0-1.x86_64.rpm ];then
wget http://47.90.101.26/linux/oracle/oracle-instantclient12.1-sqlplus-12.1.0.2.0-1.x86_64.rpm
fi
####install
tar zxf unixODBC-2.3.6.tar.gz

cd unixODBC-2.3.6
./configure

make && make install

cd ..

rpm -ivh oracle-instantclient12.1-basic-12.1.0.2.0-1.x86_64.rpm

rpm -ivh oracle-instantclient12.1-sqlplus-12.1.0.2.0-1.x86_64.rpm
rpm -ivh oracle-instantclient12.1-odbc-12.1.0.2.0-1.x86_64.rpm

###configuration
cp -f ${base_dir}/config/tnsnames.ora /usr/lib/oracle/12.1/client64/tnsnames.ora
cp -f ${base_dir}/config/odbcinst.ini /usr/local/etc/odbcinst.ini
cat ${base_dir}/config/profile.txt >>/etc/profile
source /etc/profile
echo "/usr/lib/oracle/12.1/client64/lib" >> /etc/ld.so.conf 
echo "/usr/local/lib" >> /etc/ld.so.conf    
ldconfig
